Data Fields for DetNet Enhanced Data Plane
Internet-Draft draft-xiong-detnet-data-fields-edp-02
Quan Xiong
ZTE Corporation
No.6 Huashi Park Rd
Wuhan
Hubei
430223
China
xiong.quan@zte.com.cn
Aihua Liu
ZTE Corporation
China
liu.aihua@zte.com.cn
Rakesh Gandhi
Cisco Systems, Inc.
Canada
rgandhi@cisco.com
Dong Yang
Beijing Jiaotong University
Beijing
China
dyang@bjtu.edu.cn
2024
Routing
DETNET
The DetNet-specific metadata should be carried in enhanced data plane based on the enhancement requirements. This document proposes the common DetNet data fields and option types such as Aggregation Option and Deterministic Latency Option. The common DetNet Data-Fields can be encapsulated into a variety of protocols such as MPLS, IPv6 and SRv6 networks.
Introduction
According to [RFC8655], Deterministic Networking (DetNet) operates at the IP layer and delivers service which provides extremely low data loss rates and bounded latency within a network domain. DetNet data planes has been specified in [RFC8938]. As described in [RFC9320], the end-to-end bounded latency depends on the value of queuing delay bound along with the queuing mechanisms. Multiple queuing mechanisms has been proposed to guarantee the bounded latency in IEEE802.1 TSN (Time-Sensitive Networking) Task Group. But the existing deterministic technologies are facing large-scale number of nodes and long-distance transmission, traffic scheduling, dynamic flows, and other controversial issues in large-scale networks. The DetNet Enhanced Data Plane (EDP)is required to support a data plane method of flow identification and packet treatment.
[I-D.ietf-detnet-dataplane-taxonomy] has discussed the data plane enhancement solutions and queuing mechanisms in DetNet, and also described the classification criteria and the suitability of the solutions for various services. For scaling networks, [I-D.ietf-detnet-scaling-requirements] has described the enhancement requirements for DetNet enhanced data plane, such as aggregated flow identification and deterministic latency guarantees. For example, the flow identification with service-level aggregation and explicit aggregated flow identification should be supported. And queuing mechanisms and solutions require different information to be defined as the DetNet-specific metadata to help the functions of ensuring deterministic latency, including regulation, queue management, etc.
This document discusses the specific metadata which should be carried in enhanced data plane and proposes the common DetNet data fields and option types such as Aggregation Option and Deterministic Latency Option. The common DetNet Data-Fields can be encapsulated into a variety of protocols such as MPLS, IPv6 and SRv6 networks.
Conventions used in this document
Terminology
The terminology is defined as [RFC8655], [RFC8938] and [I-D.ietf-detnet-scaling-requirements].
Deterministic Latency (DL): The bound of network latency and delay variation between two DetNet endpoints.
Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Abbreviations and definitions used in this document:
SRH:
Segment Routing Header
SRv6:
Segment Routing for IPv6 forwarding plane
DL:
Deterministic Latency
CSQF:
Cycle Specified Queuing and Forwarding
TQF:
Timeslot Queuing and Forwarding
C-SCORE:
Work Conserving Stateless Core Fair Queuing
EDF:
Earliest Deadline First
TAS:
Time Aware Shaper
ATS:
Asynchronous Traffic Shaping
CQF:
Cyclic Queuing and Forwarding
FQ:
Fair Queuing
TSN:
Time-Sensitive Networking
ECQF:
Enhanced Cyclic Queuing and Forwarding
gLBF:
guaranteed Latency Based Forwarding
PDV:
Packet Delay-Variation
EDP:
DetNet Enhanced Data Plane
Specific Metadata for DetNet Enhanced Data Plane
Aggregation-based Metadata
As per [RFC8655], the DetNet data plane must support the aggregation of DetNet flows in order to support larger numbers of DetNet flows and improve scalability by reducing the per-hop states. And the flow aggregation may be necessary for scaling networks. As per [I-D.ietf-detnet-scaling-requirements], the deterministic services may demand different deterministic QoS requirements according to different levels of application requirements. For example, industrial applications may demand tight jitter, strict latency limit requirements. The video applications may demand relative loose latency requirements and so on. The flow identification with service-level aggregation and explicit aggregated flow identification should be supported.
The flow identification is required to be dynamic and simplified to ensure the aggregated flows have compatible DetNet flow-specific QoS characteristics. In DetNet MPLS, A-Label defined as per [RFC8964] can be added explicitly to the packets. But in other DetNet data plane, no aggregated flow specific information is available. And for the data plane, individual flows may be aggregated for treatment based on shared service specification on aggregated-class level which identified by an aggregation class as per [I-D.xiong-detnet-flow-aggregation]. The aggregation-based metadata should be defined as the DetNet-specific metadata for DetNet enhanced data plane. The DetNet nodes along the path can identify the aggregated flow to achieve the end-to-end QoS in scaling networks.
Deterministic Latency Metadata
As described in [RFC9320], the end-to-end bounded latency depends on the queuing delay bound and the queuing mechanisms. Multiple queuing mechanisms have been proposed such as TAS [IIEEE802.1Qbv], CBS [IEEE802.1Q-2014],ATS [IEEE802.1Qcr], CQF [IEEE802.1Qch] and so on.
In scaling networks which has large variation in latency among hops, great number of flows and multiple domains, [I-D.ietf-detnet-scaling-requirements] has described the technical requirements for enhanced data plane solutions. Many variations and extensions of queuing mechanisms have been proposed to resolve the scalability issues in DetNet. [I-D.ietf-detnet-dataplane-taxonomy] has described the classification criteria of the solutions. As shown in Figure 1, the CQF variations for cyclic-based scheduling includes the ECQF [IEEE 802.1Qdv], Multi-CQF [I-D.dang-queuing-with-multiple-cyclic-buffers], TCQF [I-D.eckert-detnet-tcqf] and CSQF [I-D.chen-detnet-sr-based-bounded-latency]. The TAS variations for timeslot-based scheduling includes TQF [I-D.peng-detnet-packet-timeslot-mechanism]. The FQ variations for rate-based scheduling includes C-SCORE [I-D.joung-detnet-stateless-fair-queuing] ATS [IEEE802.1Qcr] and gLBF [I-D.eckert-detnet-glbf]. The EDF variations for deadline-based scheduling includes EDF[I-D.peng-detnet-deadline-based-forwarding] and Local Deadline [I-D.stein-srtsn]. The Damper variations for damper-based scheduling includes Damper [I-D.mohammadpour-detnet-bounded-delay-variation] and gLBF [I-D.eckert-detnet-glbf].
Queuing and Scheduling Mechanisms

+---------------------------------------------------------------------------------------------+
| Scheduling Type         | Queuing Type        | Queuing Mechanisms     |  Metadata          |
+---------------------------------------------------------------------------------------------+
|Cyclic-based scheduling  |CQF and variations   |CSQF/TCQF/Multi-CQF/ECQF|Cycle Information   |
+---------------------------------------------------------------------------------------------+
|Timeslot-based scheduling|TAS and variations   |TQF                     |Timeslot Information|
+---------------------------------------------------------------------------------------------+
|Deadline-based scheduling|EDF and variations   |EDF/Local Deadline      |Deadline Information|
+---------------------------------------------------------------------------------------------+
|Rate-based scheduling    |FQ and variations    |C-SCORE/ATS/gLBF        |Ratio Information   |
+---------------------------------------------------------------------------------------------+
|Damper-based scheduling  |Damper and variations|Damper/gLBF             |Damper Information  |
+---------------------------------------------------------------------------------------------+

And when queuing mechanisms used in large-scale networks, the per-flow states can not be maintained with scalability issues. Some queuing parameters should be carried for coordination between nodes so as to make appropriate packet forwarding and scheduling decisions to meet the time bounds. As per [I-D.ietf-detnet-scaling-requirements], the information used by functions ensuring deterministic latency should be supported as such queuing-based information. And queuing mechanisms and solutions require different information to help the functions of ensuring deterministic latency, including regulation, queue management. The deterministic latency metadata should be defined as the DetNet-specific metadata for DetNet enhanced data plane. The DetNet forwarding nodes along the path can apply the queuing mechanisms and get the related deterministic latency metadata in the packet to achieve the end-to-end bounded latency.
Data Fields for DetNet Enhanced Data Plane
DetNet Option-Types and Data-Fields
The enhanced functions and related metadata for DetNet should be confirmed before the encapsulations. While more than one metadata should be carried in enhanced data plane, the common DetNet header should be considered to cover all option-types and data.
DetNet Header for Enhanced Data Plane

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   | DetNet-Type   | DetNet-Length |         RESERVED              |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   ~                 DetNet Option and Data Space                  ~
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

DetNet-Type: 8-bit unsigned integer, defining the DetNet Option-type for enhanced DetNet. This document defines two options and option-types:
Aggregation Option as defined in section 5.
Deterministic Latency Option as defined in section 6.
DetNet-Length: 8-bit unsigned integer, defined the Length of the DetNet Header 4-octet units.
Aggregation Option
Aggregation Option Header

     0                   1                   2                   3
     0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |      Aggregation  Type        |       Flag  |E|   Data Len    |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Aggregation type(16 bits): indicates the aggregation type of packet treatment ensuring the deterministic latency as following shown. This type can also indicate the aggregated class.
Aggregation Type

        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        | Value |         Aggregation Type            |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0000 |  Reserved                           |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0100 |  Bandwidth guarantee                |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0200 |  Jitter guarantee                   |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0300 |  Delay guarantee                    |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0400 |  Low delay and jitter guarantee     |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0500 |Ultra-low delay and jitter guarantee |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Flag: 8-bit flags field. When E is set to 1, it indicates the explicit aggregated flow identification. The related option data is defined as following section.
Data Len:8-bit unsigned integer. Length of option data, in octets.
Aggregation Option Data

     0                   1                   2                   3
     0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |               Aggregation ID                                  |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |              End-to-end Delay Budget                          |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |              End-to-end Delay Variation Budget                |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Aggregation ID: 32bits. It provides explicit and unique identifier for aggregated flow identification. DetNet nodes performing aggregation using aggregation ID.
End-to-end Delay Budget: 32bits. It provides the value of end-to-end delay budget for the aggregated flow.
End-to-end Delay Variation Budget: 32bits. It provides the value of end-to-end delay variation budget for the aggregated flow.
Deterministic Latency Option
The DetNet Deterministic Latency Option carries data that is added by the DetNet encapsulating node and interpreted by the decapsulating node. The DetNet transit nodes MAY process the data by forwarding the option data determined by option type and may modify it. The DetNet Deterministic Latency Option consist of a fixed-size "Deterministic Latency Option Header" and a variable-size "Deterministic Latency Option Data". The Header and Data may be encapsulated continuously or separately. A Data or more than one Data in lists can be carried in packets.
Deterministic Latency Option Header
DetNet Deterministic Latency Option header:
Deterministic Latency Option header

     0                   1                   2                   3
     0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    | Deterministic Latency Type    |   Flag        |   Data Len    |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Deterministic Latency Type(16 bits): indicates the type of deterministic latency information and related queuing and scheduling metadata.
Deterministic Latency Type

        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        | Value  |  Deterministic Latency Type        |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0000  |  Unassigned                        |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0001  |  Cycle Information                 |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0002  |  Timeslot Information              |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0003  |  Deadline Information              |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0004  |  Ratio Information                 |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        |0x0005  |  Damper Information                |
        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Flag: 8-bit flags field.
Data Len: 8-bit unsigned integer. Length of option data, in octets.
Deterministic Latency Option Data
DetNet Deterministic Latency Action option data MUST be aligned by 4 octets:
Deterministic latency Option Data Field

     0                   1                   2                   3
     0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    ~     Deterministic latency option data field (variable)        ~
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Deterministic latency option data: Variable-length field. It provides function-based or queuing-based information for a node to forward a DetNet flow. The data of which is determined by the deterministic latency type. The DetNet option data can be provided one time or in list. The examples of different types of data is as following sections shown.
Cycle Information
When the type is set to 0x0001, indicates the Cyclic-based queuing and scheduling solutions. The cycle information may be carried and designed as following shown:
Cycle Information

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                     Cycle Profile ID                          |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                        Cycle ID                               |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Cycle Profile ID (32bits): indicates the profile ID which the cyclic queue applied at a node.
Cycle ID (32bits): indicates the Cycle ID for a node to forward a DetNet flow.
Timeslot Information
When the type is set to 0x0002, indicates the timeslot-based queuing and scheduling solutions. The timeslot information may be carried and designed as follow:
Timeslot Information

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                            Timeslot ID                        |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Timeslot ID: indicates the identifier of the timeslot as defined in [I-D.peng-detnet-packet-timeslot-mechanism].
Deadline Information
When the type is set to 0x0003, indicates the deadline-based queuing and scheduling solutions. The deadline information may be carried and designed as follow:
Deadline Information

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |     Flags |M|D|  Planned Deadline/Local Deadline              |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   | Accumulated Planned Deadline / Accumulated Deadline Deviation |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |          Accumulated Actual Residence Time / Reserved         |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Planned and deadline Deviation has been provided as defined in [I-D.peng-6man-deadline-option]. Local deadline has been proposed in [I-D.stein-srtsn].
Ratio Information
When the type is set to 0x0004, indicates the rate-based queuing and scheduling solutions. The ratio information may be carried and designed as follow:
Ratio Information

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                        Maximum packet size                    |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                          Service rate                         |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Maximum packet size and service rate has been described as per C-SCORE [I-D.joung-detnet-stateless-fair-queuing] which the latency bound is primarily influenced by the ratio of a flow's maximum packet size to its allocated service rate.
Damper Information
When the type is set to 0x0005, indicates the damper-based queuing and scheduling solutions. The damper information may be carried and designed as follow:
Damper Information

    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                         Timestamp                             |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                        Budget delay                           |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Damper information such as timestamps and budget delay should be carried to compute the compensate PDV by means of dampers as per [I-D.mohammadpour-detnet-bounded-delay-variation].
Encapsulation Considerations for DetNet Enhanced Data Plane
Metadata for DetNet Enhanced Data Plane
The packet treatment should indicate the behaviour action ensuring the deterministic latency at DetNet nodes such as queuing-based mechanisms. The deterministic latency action type and related parameters such as queuing-based information should be carried as metadta in data plane. And the definitions may follow these polices.
The data plane enhancement must be generic and the format must be applied to all functions and queuing mechanisms. The metadata and definitions should be common among different candidate queuing solutions.
Information and metadata MUST be simplified and limited to be carried in DetNet packets for provided deterministic latency related scheduling along the forwarding path. For example, the queuing-based information should be carried in metadata for coordination between nodes.
The requirement of the flow or service may be not suitable to be carried explicitly in DetNet data plane. The packet treatment should schedule the resources and indicate the behaviour to ensure the deterministic latency in forwarding sub-layer. So the queuing mechanisms could be viewed as a type of deterministic resources. The resources type and queuing type should be explicitly indicated.
Encoding for DetNet Enhanced Data Plane
DetNet needs to encode specific aggregated flow and deterministic latency metadata in packets by reusing the existing fields or new fields.
Reuse of the Existing DSCP/TC Field
Reusing the DSCP or existing field is reasonable and simple to define and easy to standardize. For example, in IPv4 and traditional MPLS networks, it is not suitable to carry new metadata and it is suggested to reuse the original bits such as DSCP [I-D.eckert-detnet-tcqf]. The mapping from DSCP and the metadata such as queuing information MUST be provided in the controller plane.
New Common Data Fields
DSCP value may be not sufficient and hard to distinguish between the original DiffServ service and the deterministic service. The DetNet-specific metadata can also be encoded as a common data fields and the definition of data fields is independent from the encapsulating protocols. The data fields could be encapsulated into a variety of protocols, such as MPLS 2.0 [I-D.sxg-mpls-mna-deterministic-latency], IPv6 [I-D.xiong-detnet-6man-queuing-option], SRv6 [I-D.xiong-detnet-spring-srh-extensions] and so on.
Security Considerations
Security considerations for DetNet are covered in the DetNet Architecture [RFC8655] and DetNet data plane [RFC8938], [RFC8939], [RFC8964] and DetNet security considerations [RFC9055]. The security considerations specified in [I-D.ietf-detnet-scaling-requirements] are also applicable to the procedures defined in this document.
IANA Considerations
IANA has defined a registry group named "DetNet Data Fields". This group includes the DetNet Option-Type registry. This registry defines code points for the DetNet Option-Type field for identifying DetNet-Option-Types. The following code points are defined in this document:
TBD1: DetNet Aggregation Option-Type
TBD2: DetNet Deterministic Latency Option-Type
Acknowledgements
The authors would like to acknowledge Peng Liu, Bin Tan for his thorough review and very helpful comments.
Normative References
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
[RFC8655]

Deterministic Networking Architecture
N. Finn
P. Thubert
B. Varga
J. Farkas
October 2019
RFC 8655
DOI 10.17487/RFC8655
[RFC8938]

Deterministic Networking (DetNet) Data Plane Framework
B. Varga, Ed.
J. Farkas
L. Berger
A. Malis
S. Bryant
November 2020
RFC 8938
DOI 10.17487/RFC8938
[RFC2212]

Specification of Guaranteed Quality of Service
S. Shenker
C. Partridge
R. Guerin
September 1997
RFC 2212
DOI 10.17487/RFC2212
[RFC9320]

Deterministic Networking (DetNet) Bounded Latency
N. Finn
J.-Y. Le Boudec
E. Mohammadpour
J. Zhang
B. Varga
November 2022
RFC 9320
DOI 10.17487/RFC9320
[RFC8964]

Deterministic Networking (DetNet) Data Plane: MPLS
B. Varga, Ed.
J. Farkas
L. Berger
A. Malis
S. Bryant
J. Korhonen
January 2021
RFC 8964
DOI 10.17487/RFC8964
[RFC9055]

Deterministic Networking (DetNet) Security Considerations
E. Grossman, Ed.
T. Mizrahi
A. Hacker
June 2021
RFC 9055
DOI 10.17487/RFC9055
[RFC8939]

Deterministic Networking (DetNet) Data Plane: IP
B. Varga, Ed.
J. Farkas
L. Berger
D. Fedyk
S. Bryant
November 2020
RFC 8939
DOI 10.17487/RFC8939
[I-D.xiong-detnet-6man-queuing-option]

IPv6 Option for DetNet Data Fields
Quan Xiong
ZTE Corporation
Junfeng Zhao
CAICT
Rakesh Gandhi
Cisco Systems, Inc.
12 October 2023
Internet-Draft draft-xiong-detnet-6man-queuing-option-05
[I-D.sxg-mpls-mna-deterministic-latency]

MPLS Network Action for Deterministic Latency
Xueyan Song
ZTE Corp.
Quan Xiong
ZTE Corp.
Rakesh Gandhi
Cisco Systems, Inc.
28 May 2024
Internet-Draft draft-sxg-mpls-mna-deterministic-latency-00
[I-D.eckert-detnet-tcqf]

Deterministic Networking (DetNet) Data Plane - Tagged Cyclic Queuing and Forwarding (TCQF) for bounded latency with low jitter in large scale DetNets
Toerless Eckert
Futurewei Technologies USA
Yizhou Li
Huawei Technologies
Stewart Bryant
University of Surrey ICS
Andrew G. Malis
Malis Consulting
Jeong-dong Ryoo
ETRI
Peng Liu
China Mobile
Guangpeng Li
Huawei Technologies
Shoushou Ren
Huawei Technologies
Fan Yang
Huawei Technologies
5 January 2024
Internet-Draft draft-eckert-detnet-tcqf-05
[I-D.dang-queuing-with-multiple-cyclic-buffers]

A Queuing Mechanism with Multiple Cyclic Buffers
Bingyang Liu
Huawei
Joanna Dang
Huawei
22 February 2021
Internet-Draft draft-dang-queuing-with-multiple-cyclic-buffers-00
[I-D.joung-detnet-asynch-detnet-framework]

Asynchronous Deterministic Networking Framework for Large-Scale Networks
Jinoo Joung
Sangmyung University
Jeong-dong Ryoo
ETRI
Taesik Cheung
ETRI
Yizhou Li
Huawei
Peng Liu
China Mobile
17 March 2024
Internet-Draft draft-joung-detnet-asynch-detnet-framework-04
[I-D.peng-detnet-deadline-based-forwarding]

Deadline Based Deterministic Forwarding
Shaofu Peng
ZTE Corporation
Zongpeng Du
China Mobile
Kashinath Basu
Oxford Brookes University
zuopin cheng
New H3C Technologies
Dong Yang
Beijing Jiaotong University
Chang Liu
China Unicom
20 June 2024
Internet-Draft draft-peng-detnet-deadline-based-forwarding-10
[I-D.peng-detnet-packet-timeslot-mechanism]

Timeslot Queueing and Forwarding Mechanism
Shaofu Peng
ZTE
Peng Liu
China Mobile
Kashinath Basu
Oxford Brookes University
Aihua Liu
ZTE
Dong Yang
Beijing Jiaotong University
Guoyu Peng
Beijing University of Posts and Telecommunications
20 June 2024
Internet-Draft draft-peng-detnet-packet-timeslot-mechanism-07
[I-D.stein-srtsn]

Segment Routed Time Sensitive Networking
Yaakov (J) Stein
RAD
29 August 2021
Internet-Draft draft-stein-srtsn-01
[I-D.ietf-detnet-scaling-requirements]

Requirements for Scaling Deterministic Networks
Peng Liu
China Mobile
Yizhou Li
Huawei
Toerless Eckert
Futurewei Technologies USA
Quan Xiong
ZTE Corporation
Jeong-dong Ryoo
ETRI
zhushiyin
New H3C Technologies
Xuesong Geng
Huawei
22 May 2024
Internet-Draft draft-ietf-detnet-scaling-requirements-06
[I-D.xiong-detnet-large-scale-enhancements]

Enhanced DetNet Data Plane Framework for Scaling Deterministic Networks
Quan Xiong
ZTE Corporation
Zongpeng Du
China Mobile
Junfeng Zhao
CAICT
Dong Yang
Beijing Jiaotong University
26 February 2024
Internet-Draft draft-xiong-detnet-large-scale-enhancements-04
[I-D.peng-6man-deadline-option]

Deadline Option
Shaofu Peng
ZTE Corporation
Bin Tan
ZTE Corporation
Peng Liu
China Mobile
11 July 2022
Internet-Draft draft-peng-6man-deadline-option-01
[I-D.xiong-detnet-spring-srh-extensions]

Segment Routing Header Extensions for DetNet Data Fields
Quan Xiong
ZTE Corporation
Haisheng Wu
ZTE Corporation
Dong Yang
Beijing Jiaotong University
13 October 2023
Internet-Draft draft-xiong-detnet-spring-srh-extensions-01
[I-D.chen-detnet-sr-based-bounded-latency]

Segment Routing (SR) Based Bounded Latency
Mach Chen
Huawei
Xuesong Geng
Huawei
Zhenqiang Li
China Mobile
Jinoo Joung
Sangmyung University
Jeong-dong Ryoo
ETRI
7 July 2023
Internet-Draft draft-chen-detnet-sr-based-bounded-latency-03
[I-D.joung-detnet-stateless-fair-queuing]

Latency Guarantee with Stateless Fair Queuing
Jinoo Joung
Sangmyung University
Jeong-dong Ryoo
ETRI
Taesik Cheung
ETRI
Yizhou Li
Huawei
Peng Liu
China Mobile
29 February 2024
Internet-Draft draft-joung-detnet-stateless-fair-queuing-02
[I-D.ietf-detnet-dataplane-taxonomy]

Dataplane Enhancement Taxonomy
Jinoo Joung
Sangmyung University
Xuesong Geng
Huawei
Shaofu Peng
ZTE Corporation
Toerless Eckert
Futurewei Technologies
24 May 2024
Internet-Draft draft-ietf-detnet-dataplane-taxonomy-00
[I-D.eckert-detnet-glbf]

Deterministic Networking (DetNet) Data Plane - guaranteed Latency Based Forwarding (gLBF) for bounded latency with low jitter and asynchronous forwarding in Deterministic Networks
Toerless Eckert
Futurewei Technologies USA
Alexander Clemm
Futurewei Technologies USA
Stewart Bryant
Independent
Stefan Hommes
ZF Friedrichshafen AG
5 January 2024
Internet-Draft draft-eckert-detnet-glbf-02
[I-D.mohammadpour-detnet-bounded-delay-variation]

DetNet Bounded Packet-Delay-Variation
Ehsan Mohammadpour
EPFL
Jean-Yves Le Boudec
EPFL
10 September 2021
Internet-Draft draft-mohammadpour-detnet-bounded-delay-variation-00
[I-D.xiong-detnet-flow-aggregation]

Flow Aggregation for Enhanced DetNet
Quan Xiong
ZTE Corporation
Tianji Jiang
China Mobile
Jinoo Joung
Sangmyung University
1 March 2024
Internet-Draft draft-xiong-detnet-flow-aggregation-00